import request from '@/utils/request'
import { AxiosPromise } from 'axios'

/**
 * 登录
 * @param data
 */
export function login(data: any): AxiosPromise {
	return request({
		url: '/auth/login/system',
		method: 'post',
		data
	})
}

/**
 * 注销
 */
export function logout() {
	return request({
		url: '/登出todo',
		method: 'delete'
	})
}

/**
 * Geetest配置参数
 */
export function getGeetConfig(): AxiosPromise {
	return request({
		url: `/passport/getgeetestconfig?t=${+new Date()}`,
		method: 'get'
	})
}

/*export function getMenuPermissions(): AxiosPromise {
	return request({
		url: `/sys/resource/list-menu-permissions`,
		method: 'get'
	})
}*/
